Published when a beneficiary creation is successful or failed.
Event metadata
- name:
BENEFICIARY - types:
beneficiary.successfulbeneficiary.failed
Request body
| Fields | Data Type | Description |
|---|---|---|
event_id | string | A unique ID for the event. |
event_name | string | Event name. |
event_type | string | Event type. |
source_id | string | Beneficiary ID. |
version | string | API Version number. |
data | object | Object containing beneficiary details associated with the event. |
Notification example
{
"version": "V1.6.0",
"event_name": "BENEFICIARY",
"event_type": "beneficiary.successful",
"event_id": "2c63dd53-cf4b-4bac-8a3a-cd48860d64b5",
"source_id": "9ff6b28e-beb7-495c-8e6d-d6ca41fbe150",
"data": {
"account_currency_code": "THB",
"account_id": "44fb810d-6bca-411c-964a-3013de34b798",
"account_number": "12345112678901",
"bank_country_code": "TH",
"beneficiary_address": "{\"nationality\":\"TH\",\"country_code\":\"TH\",\"city\":\"Bangkok\",\"street_address\":\"123 Main St\",\"postal_code\":\"10310\",\"state\":\"Bangkok\"}",
"beneficiary_bank_details": "{\"bank_name\":\"The Currency Cloud Limited\",\"bank_address\":\"12 Steward Street, The Steward Building, London, E1 6FQ, GB\",\"account_holder\":\"UQPAY PTE. LTD.\",\"account_number\":\"12345112678901\",\"account_currency_code\":\"THB\",\"bank_country_code\":\"TH\",\"iban\":\"12345678901\",\"swift_code\":\"BKKBTHBKXXX\",\"clearing_system\":\"LOCAL\",\"routing_code_type1\":\"\",\"routing_code_value1\":\"\",\"routing_code_type2\":\"\",\"routing_code_value2\":\"\"}",
"beneficiary_company_name": "",
"beneficiary_email": "[email protected]",
"beneficiary_entity_type": "INDIVIDUAL",
"beneficiary_first_name": "first name",
"beneficiary_id": "9ff6b28e-beb7-495c-8e6d-d6ca41fbe150",
"beneficiary_last_name": "last name",
"beneficiary_nickname": "THB beneficiary",
"beneficiary_status": "ACTIVE",
"direct_id": "0",
"payment_type": "LOCAL",
"short_reference_id": "BF250925-HILQOXIQ"
}
}